Json (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3

## Class Json

- java.lang.Object
- - org.apache.cassandra.cql3.Json

-     public class Json
      extends java.lang.Object

  Term-related classes for INSERT JSON support.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Json.Literal` Represents a literal JSON string in an INSERT JSON statement.
    `static class` | `Json.Marker` Represents a marker for a JSON string in an INSERT JSON statement.
    `static class` | `Json.Prepared` A prepared, full set of JSON values.
    `static interface` | `Json.Raw`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ColumnIdentifier` | `JSON_COLUMN_ID`
    `static org.codehaus.jackson.map.ObjectMapper` | `JSON_OBJECT_MAPPER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Json()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Object` | `decodeJson(java.lang.String json)`
    `static void` | `handleCaseSensitivity(java.util.Map<java.lang.String,java.lang.Object> valueMap)` Handles unquoting and case-insensitivity in map keys.
    `static java.util.Map<ColumnIdentifier,Term>` | `parseJson(java.lang.String jsonString, java.util.Collection<ColumnDefinition> expectedReceivers)` Given a JSON string, return a map of columns to their values for the insert.
    `static java.lang.String` | `quoteAsJsonString(java.lang.String s)` Quotes string contents using standard JSON quoting.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JSON_OBJECT_MAPPER

          public static final org.codehaus.jackson.map.ObjectMapper JSON_OBJECT_MAPPER

    - #### JSON_COLUMN_ID

          public static final ColumnIdentifier JSON_COLUMN_ID

  - ### Constructor Detail

    - #### Json

          public Json()

  - ### Method Detail

    - #### quoteAsJsonString

          public static java.lang.String quoteAsJsonString(java.lang.String s)

      Quotes string contents using standard JSON quoting.

    - #### decodeJson

          public static java.lang.Object decodeJson(java.lang.String json)

    - #### parseJson

          public static java.util.Map<ColumnIdentifier,Term> parseJson(java.lang.String jsonString,
                                                                       java.util.Collection<ColumnDefinition> expectedReceivers)

      Given a JSON string, return a map of columns to their values for the insert.

    - #### handleCaseSensitivity

          public static void handleCaseSensitivity(java.util.Map<java.lang.String,java.lang.Object> valueMap)

      Handles unquoting and case-insensitivity in map keys.

Copyright © 2018 The Apache Software Foundation